package com.google.appengine.api.users;

import com.google.gwt.user.client.rpc.SerializationException;
import com.google.gwt.user.client.rpc.SerializationStreamReader;
import com.google.gwt.user.client.rpc.SerializationStreamWriter;

/**
 * 
 * @author Bryce Cottam 
 *
 */
public class User_CustomFieldSerializer
{

	public static User instantiate(SerializationStreamReader reader) throws SerializationException
	{
		String email = reader.readString();
		String authDomain = reader.readString();
		return new User(email, authDomain);
	}

	public static void serialize(SerializationStreamWriter writer, com.google.appengine.api.users.User instance) throws SerializationException
	{
		writer.writeString(instance.getEmail());
		writer.writeString(instance.getAuthDomain());
	}

	public static void deserialize(SerializationStreamReader reader, User instance) throws SerializationException
	{
		// nothing really to do here, since the instantiate method already did our work for us.
	}
}
